!  Make a fake dataset with pressure obs only.
!
    use grid_obs,only:raw_obs
    use resolution
    use ferror
    use io
    implicit none
    type(raw_obs)::obs
    character(MAX_FILE_NAME_LEN)::infn,outfn
    integer::iseq
! 
    call getarg(1,infn)
    call getarg(2,outfn)
    open(unit=INNOSWAP,file=infn,form='unformatted',status='old')
    read(INNOSWAP) iseq
    open(OUTNOSWAP,file=outfn,form='unformatted',status='replace')
    write(OUTNOSWAP) iseq
    do
       read(INNOSWAP,end=10) obs
       if(adjustl(obs%field).eq.'T'.and. &
          obs%lambda.ge.164.0.and.obs%lambda.le.165.0.and. &
          obs%phi.ge.-77.and.obs%phi.le.-74.0) write(OUTNOSWAP) obs
    enddo
 10 continue
    stop
    end
